Skip to content

divine-bundles/primers

Folders and files

NameName
Last commit message
Last commit date

Latest commit

 

History

8 Commits
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 

Repository files navigation

Deployment bundle primers

A deployment bundle for Divine.dotfiles

The deployment bundle primers is under development.

Description

Installing and uninstalling the bundle

Bundled deployments

Divine bundle 'primer-gpg'

A deployment bundle for Divine.dotfiles

Description

Divine bundle 'primer-gpg' automates adherence to best security practices in regards to GnuPG.

Warning
After attaching this deployment, but before installing it, you must provide a bit of configuration data. Look for config file in ~/.grail/assets/primer-gpg.

Installation/removal

Install via any Terminal.

Don’t have Divine.dotfiles installed?

Install both framework & this deployment in one fell swoop (it’s fully removable):

bash -c "TMP=\$(mktemp); URL=https:\
//raw.github.com/divine-dotfiles/divine-dotfiles/master/lib/install/install.sh\
; if curl --version &>/dev/null; then curl -fsSL \$URL >\$TMP; elif wget --ver\
sion &>/dev/null; then wget -qO \$TMP \$URL; else printf >&2 \"\n==> Error: fa\
iled to detect neither curl nor wget\n\"; rm -f \$TMP; exit 1; fi || { printf \
>&2 \"\n==> Error: failed to download installation script\n\"; rm -f \$TMP; ex\
it 2; }; chmod +x \$TMP && \$TMP \"\$@\"; RC=\$?; rm -f \$TMP; ((RC)) && exit \
3 || exit 0" bash --yes \
&& ~/.divine/intervene.sh attach primer-gpg --yes \
&& ~/.divine/intervene.sh install --yes

Afterward, if you don’t like it, here is the 'undo' command (removes/restores everything):

~/.divine/intervene.sh remove --yes \
&& ~/.divine/intervene.sh detach primer-gpg --yes \
&& bash -c "TMP=\$(mktemp); URL=https://raw.\
github.com/divine-dotfiles/divine-dotfiles/master/lib/uninstall/uninstall.sh; \
if curl --version &>/dev/null; then curl -fsSL \$URL >\$TMP; elif wget --versi\
on &>/dev/null; then wget -qO \$TMP \$URL; else printf >&2 \"\n==> Error: fail\
ed to detect neither curl nor wget\n\"; rm -f \$TMP; exit 1; fi || { printf >&\
2 \"\n==> Error: failed to download uninstallation script\n\"; rm -f \$TMP; ex\
it 2; }; chmod +x \$TMP && \$TMP \"\$@\"; RC=\$?; rm -f \$TMP; ((RC)) && exit \
3 || exit 0" bash --yes
Already a Divine.dotfiles user?

Attach this deployment to your copy of Divine.dotfiles as such:

di attach primer-gpg --yes

Then install as usual.

If ever removing this deployment, make sure you uninstall it first, and then:

di detach primer-gpg --yes

Divine bundle 'primer-ssh'

A deployment bundle for Divine.dotfiles

Description

Divine bundle 'primer-ssh' automates secure stashing and retrieval of SSH secret keys.

Warning
After attaching this deployment, but before installing it, you must provide a bit of configuration data. Look for config file in ~/.grail/assets/primer-ssh.

Installation/removal

Install via any Terminal.

Don’t have Divine.dotfiles installed?

Install both framework & this deployment in one fell swoop (it’s fully removable):

bash -c "TMP=\$(mktemp); URL=https:\
//raw.github.com/divine-dotfiles/divine-dotfiles/master/lib/install/install.sh\
; if curl --version &>/dev/null; then curl -fsSL \$URL >\$TMP; elif wget --ver\
sion &>/dev/null; then wget -qO \$TMP \$URL; else printf >&2 \"\n==> Error: fa\
iled to detect neither curl nor wget\n\"; rm -f \$TMP; exit 1; fi || { printf \
>&2 \"\n==> Error: failed to download installation script\n\"; rm -f \$TMP; ex\
it 2; }; chmod +x \$TMP && \$TMP \"\$@\"; RC=\$?; rm -f \$TMP; ((RC)) && exit \
3 || exit 0" bash --yes \
&& ~/.divine/intervene.sh attach primer-ssh --yes \
&& ~/.divine/intervene.sh install --yes

Afterward, if you don’t like it, here is the 'undo' command (removes/restores everything):

~/.divine/intervene.sh remove --yes \
&& ~/.divine/intervene.sh detach primer-ssh --yes \
&& bash -c "TMP=\$(mktemp); URL=https://raw.\
github.com/divine-dotfiles/divine-dotfiles/master/lib/uninstall/uninstall.sh; \
if curl --version &>/dev/null; then curl -fsSL \$URL >\$TMP; elif wget --versi\
on &>/dev/null; then wget -qO \$TMP \$URL; else printf >&2 \"\n==> Error: fail\
ed to detect neither curl nor wget\n\"; rm -f \$TMP; exit 1; fi || { printf >&\
2 \"\n==> Error: failed to download uninstallation script\n\"; rm -f \$TMP; ex\
it 2; }; chmod +x \$TMP && \$TMP \"\$@\"; RC=\$?; rm -f \$TMP; ((RC)) && exit \
3 || exit 0" bash --yes
Already a Divine.dotfiles user?

Attach this deployment to your copy of Divine.dotfiles as such:

di attach primer-ssh --yes

Then install as usual.

If ever removing this deployment, make sure you uninstall it first, and then:

di detach primer-ssh --yes

About

Deployment bundle 'primers' for Divine.dotfiles

Resources

License

Stars

Watchers

Forks

Releases

No releases published

Packages

No packages published